.lm
.ifnot hlp
.lm.hl 1 Equation formatting
.endif hlp
.if hlp.i-1;2 EQUATIONS
.br
.endif hlp
An equation formatting routine has been added to RUNOFF.  This is designed
to format multiple nested fractions.  To use this facility the equation flag
must be enabled via the _.FLAGS EQUATION command.
Subscripts or superscripts are normally taken care of in formatting
fractions, but you may wish to add extra space between the line and the
numerator or denominator.  To do this give the command _.ENABLE EQUATION 1
to add 1/2 line or _.ENABLE EQUATION 2 to add 1 whole line.
With these preliminary commands out of the way the braces _{ _} are now flags
which are used in formatting equations.  They must be preceeded by the 
underscore __ if they are to appear in the text.
.p.text
Fractions are formatted in the following manner.  You express the faction as:
.i10; {NUMERATOR}/{DENOMINATOR}
.br;and RNO will output:
.nf.lm+10; NUMERATOR
______________________
DENOMINATOR
.end text
.f.lm-10.s
.if HLP
.if RSX.ts 25,45,55.nj
Subtopics available:
.s;features nesting	spacing	hints	warning	commands
.j
.endif RSX
.i-1;3 features
.endif hlp
.p;Inside an equation the following features are disabled:
.list0.le Underline flags
.le Break flags
.le Hyphenation flags
.le Autohyphenation
.le Autobreak
.le Tabs
.els 0
.if hlp
.i-1;3 Nesting
.endif hlp
.tp3.p
Fractions may be nested inside each other.
.i5;For example {{A}/{B}#+#{C}/{D}}/{DENOMINATOR}.
.i5;A/B and C/D are both nested to the second level.
.br;The maximum nesting is about 6 deep.  If the nesting is all in numerators
then
it is limited to 12, all in denominators is limited to 6.
.p.i5;Example of 4 levels of nesting in numerators:
.i5;{1+{2+{3+{4}/{D}}/{C}}/{B}}/{A}
.i5;Example of 6 levels of nesting in denominators:
.p.i5;{1}/{A+ {2}/{B+{3}/{C+{4}/{D+{5}/{E+{6}/{F}}}}}}
.if hlp.i-1;3 Spacing
.endif hlp.p
Spaces or tabs may be freely used between numerators and denominators outside
of the braces for clarity.  They will not appear in the final output.
For example {A}/{B} will format the same as {A}#/#{B}.
In addition tabs and spaces are all treated as non expandable spaces.
As a result fractions are never expanded to right justify the text.
If FILL is enabled extra spaces will be removed and text will be added to
fill each output line, but only spaces outside of the fractions will be
expanded to justify the text.
.BB
.if hlp.i-1;3 Hints
.endif hlp
.p
Fractions may occasionally occupy too much space to fit within
the current line spacing.  If this happens you should use the command
 _.SEPARATED FRACTION.
This mode automatically generates enough space to separate fractions.
If you prefer to manually adjust the spacing then
the _.FIGURE command should be used.
.eb
.p;You may wish to put equation numbers along the right margin next to
the equation.  This is accomplished by resetting the tab stops, and
setting tab right.  A single tab should preceed the number to be justified.
.text;The following example shows the commands necessary to do this:
.i5; _.TAB STOPS _.TAB RIGHT
.i5; {A + B}/{C + D}	eq._#5
.c;Is printed as:
.i5;A + B
.ts.tabright.i5;__________	eq.#5
.i5;C + D
.end text.s.tab left
.if HLP;.i-1;3 WARNING
.endif hlp
.note WARNING
A Fraction may not be split between 2 output lines.
If a fraction imbedded in text is so big that it can not fit on the current
line, it is moved down to the next line.  If the fraction is still too big
then RNO will try to break it.  The break will most probably
result in the error message:
.c;RNO -- Missing right brace in equation
A string of other error messages will probably follow the first one.
The extra error messages should be ignored.  The solution to the problem
is to break the fraction up into 2 fractions.
A Fraction should not be split between more than 1 input line to prevent
RNO from breaking it.  If the fraction exceeds the input line capacity of
RNO you can split it if you are careful.
.end note
.if hlp.i-1;3 Commands
.endif hlp
.p
The commands used to control equation formatting are:
.list 0
.le _.FLAGS EQUATION
.le _.NO FLAGS EQUATION
.le _.ENABLE EQUATION n
.LE _.DISABLE EQUATION
.le _.SEPARATED EQUATION
.le _.END SEPARATED EQUATION
.END LIST
.note
This equation routine will only work properly with word processing style
hard copy printers which support sub/superscript escape sequences
and backspacing.  In addition sub/superscripting escape sequences must be
defined by the _.DEFINE SUBSCRIPT and _.DEFINE SUPERSCRIPT commands if they
are not the same as used by DIABLO printers. 
.bb
In addition the printer the paper must not slip when superscripting is
performed.  Some printers with cut sheet feeders allow the paper to slip
which produces unacceptable output.
.eb
.end note
